﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.Roles" Title="Roles" Codebehind="Roles.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
	<div class="nav2">
		<a class="nav2left" onclick="callHelp('RoleHelp.htm')" href="javascript:void(0)"><img alt="Help" src="images/help3.gif" /></a>
        <span class="nav2title">Roles</span>
        <dx:ASPxButton ID="ASPxbtnAddNew" CssClass="nav2right" runat="server" Text="Add New Role"></dx:ASPxButton>
	</div>
	<div id="dataGrid">
        <asp:HiddenField ID="hideCurrentUserID" runat="server" />
        <asp:ObjectDataSource ID="dataRoles" runat="server" DeleteMethod="DeleteSecurityRoleByID" SelectMethod="GetSecurityRoles" TypeName="Ripplestone.BLL.SecurityRole">
            <DeleteParameters>
                <asp:Parameter Name="ID" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="hideCurrentUserID" DefaultValue="0" Name="ID" PropertyName="Value" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <dx:ASPxGridView ID="gridRoles" runat="server" AutoGenerateColumns="False" Width="100%" KeyFieldName="ID" ClientInstanceName="gv"
            EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True" DataSourceID="dataRoles">
            <SettingsContextMenu Enabled="True" />
            <SettingsPager PageSize="20">
                <PageSizeItemSettings ShowAllItem="True" Visible="True">
                </PageSizeItemSettings>
            </SettingsPager>
            <Settings ShowFilterRow="True" ShowGroupPanel="True" ShowFilterBar="Auto" ShowFilterRowMenu="True" />
            <SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
            <SettingsSearchPanel Visible="True" ShowApplyButton="True" ShowClearButton="True" />
            <Columns>
                <dx:GridViewDataTextColumn Caption="ID" FieldName="ID" ReadOnly="True" VisibleIndex="0" Width="50px">
                    <EditFormSettings Visible="False" />
                    <HeaderStyle HorizontalAlign="Center">
                        <Paddings Padding="1px" />
                    </HeaderStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Role" FieldName="Role" ReadOnly="True" VisibleIndex="1">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataCheckColumn Caption="Super User" FieldName="IsSuperUser" VisibleIndex="2" Width="50px">
                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                </dx:GridViewDataCheckColumn>
                <dx:GridViewDataCheckColumn Caption="Administrator" FieldName="IsAdministrator" VisibleIndex="3" Width="50px">
                    <HeaderStyle HorizontalAlign="Center" />
                </dx:GridViewDataCheckColumn>
                <dx:GridViewDataCheckColumn Caption="Publisher" FieldName="IsPublisher" VisibleIndex="4" Width="50px">
                    <HeaderStyle HorizontalAlign="Center" />
                </dx:GridViewDataCheckColumn>
                <dx:GridViewDataCheckColumn Caption="Scheduler" FieldName="IsScheduler" VisibleIndex="5" Width="50px">
                    <HeaderStyle HorizontalAlign="Center" />
                </dx:GridViewDataCheckColumn>
                <dx:GridViewDataCheckColumn Caption="Viewer" FieldName="IsViewer" VisibleIndex="6" Width="50px">
                    <HeaderStyle HorizontalAlign="Center" />
                </dx:GridViewDataCheckColumn>
                <dx:GridViewCommandColumn ButtonType="Image" Caption="Edit" VisibleIndex="20" Name="Edit" Width="50px">
                    <CustomButtons>
                        <dx:GridViewCommandColumnCustomButton ID="btnEditRole" Text="Edit" Visibility="AllDataRows">
                            <Image ToolTip="Click to edit this record" Url="~/Images/Edit.gif" />
                        </dx:GridViewCommandColumnCustomButton>
                    </CustomButtons>
                    <HeaderStyle HorizontalAlign="Center" />
                </dx:GridViewCommandColumn>
                <dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="21" ButtonType="Image" Caption="Delete" Name="Delete" AllowDragDrop="False" Width="50px">
                    <HeaderStyle HorizontalAlign="Center" />
                    <CellStyle>
                        <BackgroundImage Repeat="NoRepeat" />
                    </CellStyle>
                </dx:GridViewCommandColumn>
            </Columns>
            <SettingsCommandButton>
                <DeleteButton>
                    <Image ToolTip="Delete this record" Url="~/Images/Delete.gif" />
                </DeleteButton>
            </SettingsCommandButton>
            <SettingsBehavior ConfirmDelete="True" AllowSelectByRowClick="True" AllowSelectSingleRowOnly="True" EnableCustomizationWindow="True" />
            <SettingsDataSecurity AllowInsert="False" AllowEdit="False" />
            <Styles AdaptiveDetailButtonWidth="22"></Styles>
        </dx:ASPxGridView>
	</div>
</asp:Content>
